Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update Twig dependency #1904

Closed
eteubert opened this issue Mar 23, 2019 · 2 comments

Comments

Projects
None yet
3 participants
@eteubert
Copy link

commented Mar 23, 2019

If I see it correctly you are shipping with Twig 1.38.0 and I would like to request an update to 1.38.3 which fixes a few things that are required for Podlove Publisher plugin. And it looks like your version of Twig gets precendence when loading over the version I include in the plugin so a quick fix would be very much appreciated :)

@hannesN

This comment has been minimized.

Copy link

commented Mar 23, 2019

I checked it, deactivating MailPoet temporarily fixes the Problem with Podlove.

@pavel-mailpoet

This comment has been minimized.

Copy link
Contributor

commented Mar 25, 2019

Hello, thank you for this issue. This is actually a problem we've been dealing with the last week. We were shipping with 1.36.0 until the last release. This Twig version had some security vulnerabilities.

We updated Twig to 1.38.0 in the last release but that turned out to be a problem because we started to have conflicts with some plugins. One of them is Data Tables by Supsystic.

So we definitely need to investigate this problem more and check the compatibility with other plugins.

pavel-mailpoet added a commit that referenced this issue Mar 26, 2019

Move Twig to prefixed dependencies
Closes #1904
[MAILPOET-1929]

pavel-mailpoet added a commit that referenced this issue Mar 26, 2019

Move Twig to prefixed dependencies
Closes #1904
[MAILPOET-1929]

pavel-mailpoet added a commit that referenced this issue Mar 26, 2019

Move Twig to prefixed dependencies
Closes #1904
[MAILPOET-1929]

pavel-mailpoet added a commit that referenced this issue Mar 26, 2019

Move Twig to prefixed dependencies
Closes #1904
[MAILPOET-1929]

pavel-mailpoet added a commit that referenced this issue Mar 26, 2019

Move Twig to prefixed dependencies
Closes #1904
[MAILPOET-1929]

pavel-mailpoet added a commit that referenced this issue Mar 26, 2019

Move Twig to prefixed dependencies
Closes #1904
[MAILPOET-1929]

pavel-mailpoet added a commit that referenced this issue Mar 26, 2019

Move Twig to prefixed dependencies
Closes #1904
[MAILPOET-1929]

pavel-mailpoet added a commit that referenced this issue Mar 26, 2019

Move Twig to prefixed dependencies
Closes #1904
[MAILPOET-1929]

michelleshull added a commit that referenced this issue Apr 1, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.